Subject: Re: bug#32825: 27.0.50; Deterministic window management

From: Juri Linkov <[email-masked]>
Date: Sun, 28 Oct 2018 00:34:55 +0300

>> If I understand correctly the logic of display-buffer then yes,
>> it should display it below the selected only when there is no
>> previous window (and no window is reused).
>
> That's ok I think.
>
> How does your change behave when the height of the window below the
> selected one is small?  Should we specify a minimum height somewhere?

Before proposing this change, I extensively tested it with small heights,
and I see that in case of small heights, display-buffer-below-selected
reuses a window that is below from the selected, that is a good behavior.  

A minimum height is defined by window-min-height, by default it's 4.
But for *Backtrace* maybe we should let-bind a larger value?